559AS

Think I broke something.

Recommended Posts

After updating P3d (Client only) to 4.1, I wanted to refresh my PTA preset just in case something changed.  Once I launched PTA, a popup box warned me that I've updated P3D and that I need to do something with my backup shaders.  I clicked ok without giving it much thought and continued.  Now I get the following warnings..

ERROR: You use unsupported version of Prepar3D!
Shaders cache directory found at C:\Users\Ryan\AppData\Local\Lockheed Martin\Prepar3D v4\Shaders\
Prepar3D main configuration file found at C:\Users\Ryan\AppData\Roaming\Lockheed Martin\Prepar3D v4\Prepar3D.cfg
ERROR: shader file G:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\Cloud.fx is not original Prepar3D shader and can't be used
ERROR: shader file G:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\General.fx is not original Prepar3D shader and can't be used
ERROR: shader file G:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\GPUTerrain.fx is not original Prepar3D shader and can't be used
ERROR: shader file G:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\FuncLibrary.fxh is not original Prepar3D shader and can't be used
ERROR: shader file G:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\GPUTerrain.fxh is not original Prepar3D shader and can't be used
Preset C:\Users\Ryan\Desktop\pta_2.52\PTAbsolute for PTA 2.52 - P3Dv4\PTAbsolute - Natural set - More Haze.ini loaded

No idea what to do next.

Ryan

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

18 minutes ago, 559AS said:

After updating P3d (Client only) to 4.1, I wanted to refresh my PTA preset just in case something changed.  Once I launched PTA, a popup box warned me that I've updated P3D and that I need to do something with my backup shaders.  I clicked ok without giving it much thought and continued.  Now I get the following warnings..

ERROR: You use unsupported version of Prepar3D!
Shaders cache directory found at C:\Users\Ryan\AppData\Local\Lockheed Martin\Prepar3D v4\Shaders\
Prepar3D main configuration file found at C:\Users\Ryan\AppData\Roaming\Lockheed Martin\Prepar3D v4\Prepar3D.cfg
ERROR: shader file G:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\Cloud.fx is not original Prepar3D shader and can't be used
ERROR: shader file G:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\General.fx is not original Prepar3D shader and can't be used
ERROR: shader file G:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\GPUTerrain.fx is not original Prepar3D shader and can't be used
ERROR: shader file G:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\FuncLibrary.fxh is not original Prepar3D shader and can't be used
ERROR: shader file G:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\GPUTerrain.fxh is not original Prepar3D shader and can't be used
Preset C:\Users\Ryan\Desktop\pta_2.52\PTAbsolute for PTA 2.52 - P3Dv4\PTAbsolute - Natural set - More Haze.ini loaded

No idea what to do next.

Ryan

I don't think PTA is compatible yet with 4.1. You need to install the 4.1 content  and it will fix things. then wait until there is a version of PTA for P3Dv4.1

Share this post


Link to post
Share on other sites

You haven't broken anything. That's the message we're all getting at the moment.

Not long to wait now. The new version of PTA is less than 12 hours away :-)

Adam.

Share this post


Link to post
Share on other sites

Pete - Actually a reinstall of the client, rather than the content, is what will fix corrupt or missing shaders.

From Sunny YBCG.

 

Cheers,

Share this post


Link to post
Share on other sites
12 minutes ago, howevr said:

Pete - Actually a reinstall of the client, rather than the content, is what will fix corrupt or missing shaders.

You might confuse Pete with this :dry: ...

If you look at his error, you'll see it's not a corrupt shaders as such - just the typical messagew that we're all see when we try to use PTA 2.52 on the P3Dv4.1 update. Reinstalling the client won't help - only the new PTA will (soon!!).

Adam.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now